YepAPI
Amazon API

Products by Category

List Amazon products under any category node ID with filters for sort, price, and Prime.

POST/v1/amazon/products-by-category
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/amazon/products-by-category', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ category_id: '2478868012', country: 'US' }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/amazon/products-by-category \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"category_id": "2478868012", "country": "US"}'
import requests

res = requests.post(
    "https://api.yepapi.com/v1/amazon/products-by-category",
    headers={"x-api-key": "YOUR_API_KEY"},
    json={"category_id": "2478868012", "country": "US"},
)
print(res.json()["data"])

Request Body

ParameterTypeRequiredDescriptionDefault
category_idstringYesAmazon category browse-node ID (numeric)
countrystringNoISO alpha-2 country codeUS
sort_bystringNoRELEVANCE, LOWEST_PRICE, HIGHEST_PRICE, REVIEWS, NEWEST, BEST_SELLERSRELEVANCE
product_conditionstringNoALL, NEW, USED, RENEWED, COLLECTIBLEALL
pagenumberNoPage number (48 products/page)1
is_primebooleanNoOnly Prime-eligible
deals_and_discountsstringNoDiscount filter

Response

{
  "ok": true,
  "data": {
    "status": "OK",
    "request_id": "6dc35479-a1dc-45d4-828d-978ec94ebe61",
    "parameters": { "category_id": "2478868012", "country": "US", "sort_by": "RELEVANCE", "page": 1 },
    "data": {
      "total_products": 975521,
      "country": "US",
      "domain": "www.amazon.com",
      "products": [
        {
          "asin": "168281808X",
          "product_title": "Untitled Empyrean (Not Book Four)",
          "product_price": "$17.49",
          "product_original_price": "$24.99",
          "currency": "USD",
          "product_star_rating": null,
          "product_num_ratings": 0,
          "book_format": "Hardcover",
          "product_url": "https://www.amazon.com/dp/168281808X",
          "product_photo": "https://m.media-amazon.com/images/I/716ogrQC-4L._AC_UL960_QL65_.jpg",
          "product_num_offers": 1,
          "product_minimum_offer_price": "$17.49",
          "is_best_seller": false,
          "is_amazon_choice": false,
          "is_prime": false,
          "has_variations": false
        }
      ]
    }
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.data.total_productsnumberTotal products in the category
data.data.countrystringCountry scoped to
data.data.domainstringAmazon domain
data.data.products[].asinstringASIN
data.data.products[].product_titlestringTitle
data.data.products[].product_pricestringCurrent price
data.data.products[].product_original_pricestring | nullMSRP if discounted
data.data.products[].currencystringISO currency code
data.data.products[].product_star_ratingstring | nullAverage rating
data.data.products[].book_formatstringPresent for books (Hardcover, Paperback, etc.)
data.data.products[].product_urlstringAmazon URL
data.data.products[].product_photostringImage URL
data.data.products[].product_num_offersnumberThird-party offer count
data.data.products[].product_minimum_offer_pricestringLowest available price across offers
data.data.products[].is_amazon_choicebooleanAmazon's Choice badge
data.data.products[].is_primebooleanPrime-eligible
data.data.products[].has_variationsbooleanHas variations

On this page